import { AdNetwork } from '../ads';
import { FirebaseOptions } from 'firebase/app';
export type Env = LocalSdkConfig['env'] | StandardSdkConfig['env'];
export type CommonOptions = {
    gameId: string;
    blockId?: string;
    gameVersion?: string;
    adNetwork?: AdNetwork;
    fullScreen?: boolean;
    disableBackButton?: boolean;
} & FirebaseOptions;
export type LocalSdkConfig = {
    env: 'local';
    serverUrl: string;
    startTelemetryInLocalEnv?: boolean;
};
type StandardSdkConfig = {
    env: 'devel' | 'prod';
};
export type SdkConfig = CommonOptions & (LocalSdkConfig | StandardSdkConfig);
export {};
