import { __awaiter } from "tslib";
import { createAnalyticsLog } from './index';
export function createAdsGramAds(blockId, logEvent) {
    const log = createAnalyticsLog(logEvent, {
        ad_platform: 'AdsGram',
        block_id: blockId,
    });
    const adController = new Promise((resolve, reject) => {
        const tag = document.createElement('script');
        tag.src = 'https://sad.adsgram.ai/js/sad.min.js';
        tag.addEventListener('load', () => {
            var _a;
            const controller = (_a = window.Adsgram) === null || _a === void 0 ? void 0 : _a.init({
                blockId,
            });
            if (controller) {
                resolve(controller);
            }
            else {
                reject(new Error('Failed to initialize Adsgram'));
            }
        });
        document.body.appendChild(tag);
    });
    return {
        show: () => __awaiter(this, void 0, void 0, function* () {
            const controller = yield adController;
            try {
                log();
                const result = yield controller.show();
                return result.done;
            }
            catch (error) {
                console.error('Ad error', error);
                return false;
            }
        }),
    };
}
//# sourceMappingURL=adsGramProvider.js.map