import { createAnalyticsLog } from './index';
export const fakeAds = (logEvent) => {
    const log = createAnalyticsLog(logEvent, {
        ad_platform: 'FakeAds',
    });
    return {
        show() {
            log();
            const fakeOverlay = document.createElement('div');
            fakeOverlay.style.position = 'absolute';
            fakeOverlay.style.top = '0';
            fakeOverlay.style.left = '0';
            fakeOverlay.style.width = '100%';
            fakeOverlay.style.height = '100%';
            fakeOverlay.style.backgroundColor = 'rgba(0, 0, 0, 0.5)';
            fakeOverlay.style.color = 'white';
            fakeOverlay.style.display = 'flex';
            fakeOverlay.style.justifyContent = 'center';
            fakeOverlay.style.alignItems = 'center';
            fakeOverlay.appendChild(document.createTextNode('Displaying ad'));
            document.body.appendChild(fakeOverlay);
            return new Promise((resolve) => {
                setTimeout(() => {
                    document.body.removeChild(fakeOverlay);
                    resolve(true);
                }, 5 * 1000);
            });
        },
    };
};
//# sourceMappingURL=fakeAds.js.map