import { __awaiter } from "tslib";
import { createAdsGramAds } from './adsGramProvider';
import { fakeAds } from './fakeAds';
import { createAdSonar } from './adSonarProvider';
export function createAnalyticsLog(logEvent, params) {
    return (name = 'rewarded_ad', details = {}) => {
        logEvent(name, Object.assign(Object.assign({}, params), details));
    };
}
export function createAds({ configuration, debug = false, logEvent, }) {
    if (configuration) {
        switch (configuration.type) {
            case 'AdsGram':
                return debug
                    ? fakeAds(logEvent)
                    : createAdsGramAds(configuration.blockId, logEvent);
            case 'AdSonar':
                return createAdSonar(configuration, logEvent, debug);
        }
    }
    return {
        show: () => __awaiter(this, void 0, void 0, function* () { return false; }),
    };
}
//# sourceMappingURL=index.js.map