import { SdkConfig } from '../_config/types';
export interface TrackingParameters {
    campaign_name?: string;
    campaign_id?: string;
    campaign_medium?: string;
    campaign_source?: string;
    campaign_content?: string;
    campaign_term?: string;
    page_referrer?: string;
    external_action?: string;
}
interface AuthResponse {
    token: string;
    trackingParameters: TrackingParameters;
}
interface BaseBuyParams {
    quantity: number;
    price: number;
    reference?: string;
}
interface PurchaseItemParams extends BaseBuyParams {
    itemId: string;
    title: string;
    description: string;
}
interface PurchaseCurrencyParams extends BaseBuyParams {
    symbol: string;
    name: string;
}
export declare function isBuyItemParams(params: PurchaseParams): params is PurchaseItemParams;
export declare function isBuyCurrencyParams(params: PurchaseParams): params is PurchaseCurrencyParams;
export type PurchaseParams = PurchaseItemParams | PurchaseCurrencyParams;
interface CreateInvoiceLinkResponse {
    invoiceLink: string;
    purchaseId: string;
    usdValue: number;
}
export declare function createP00lsBotApi(config: SdkConfig): {
    getCustomToken: (initData: string) => Promise<AuthResponse>;
    createInvoiceLink: (p: PurchaseParams, idToken: string) => Promise<CreateInvoiceLinkResponse>;
    getReferralLink: (idToken: string) => Promise<{
        link: string;
    }>;
    sendApiRequest: <T>(idToken: string, targetUrl: string, fetchOptions: RequestInit) => Promise<T>;
};
export type P00lsBotApi = ReturnType<typeof createP00lsBotApi>;
export {};
