import { P00lsBotApi } from '../api/p00lsBotApi';
import { GetIdToken } from '../internalTypes';
import { Leaderboard, StatisticsUpdateRequest, UserPosition, UserStatisticValues } from './types';
export declare const fakeStatistics: Statistics;
export declare function createStatistics(p00lsApi: P00lsBotApi, getIdToken: GetIdToken): {
    changeDisplayName: (newName: string, custom?: boolean) => Promise<void>;
    updateValues: (updates: StatisticsUpdateRequest) => Promise<void>;
    fetchValues: () => Promise<UserStatisticValues>;
    fetchLeaderboardPosition: (statistic: string) => Promise<UserPosition | undefined>;
    fetchLeaderboard: (statistic: string, { next, pageSize }?: {
        next?: string;
        pageSize?: number;
    }) => Promise<Leaderboard>;
    fetchLeaderboardAround: (statistic: string, { pageSize }?: {
        pageSize?: number;
    }) => Promise<Leaderboard>;
};
export type Statistics = ReturnType<typeof createStatistics>;
