import { ImpactHapticFeedbackStyle, NotificationHapticFeedbackType } from '@telegram-apps/sdk';
import { SdkConfig } from '../_config/types';
export type TelegramWrapper = ReturnType<typeof createTelegram>;
export type ShareFunction = TelegramWrapper['share'];
export declare function createTelegram(env: SdkConfig['env'], onClose: () => Promise<void>, isInFullscreen: boolean, mountBack: boolean, isMobile: boolean): {
    ready(): void;
    haptic: {
        (type: "impact", style: ImpactHapticFeedbackStyle): void;
        (type: "notification", style: NotificationHapticFeedbackType): void;
        (type: "select"): void;
    };
    getServerTime: () => Promise<Date>;
    share: (url: string, description: string) => void;
    openLink: (url: string) => void;
    openTelegramLink: (path: string, shouldClose?: boolean) => void;
    openP00LSGamesLauncher: () => void;
    isInFullscreen: boolean;
    close: () => void;
};
export declare const fakeTelegram: TelegramWrapper;
