import { __awaiter } from "tslib";
import { openTelegramLink } from '@telegram-apps/sdk';
export const fakeWallet = {
    fetchWallet() {
        return __awaiter(this, void 0, void 0, function* () {
            console.debug('fetch wallet');
            return Promise.resolve({ address: 'fakeAddress' });
        });
    },
    _setInternalWallet() {
        return __awaiter(this, void 0, void 0, function* () {
            console.debug('set wallet');
            return Promise.resolve();
        });
    },
    changeWallet() {
        console.debug('change wallet');
    },
};
const endpoints = {
    devel: 'https://t.me/semag_sl00p_devel_bot/start',
    prod: 'https://t.me/p00ls_games_bot/start',
    local: '',
};
function encodeTelegramLinkParameters(searchParams) {
    return btoa(new URLSearchParams(searchParams).toString()).replace(/=/g, '');
}
export function createWallet(config, p00lsApi, getIdToken) {
    function fetchWallet() {
        return __awaiter(this, void 0, void 0, function* () {
            const token = yield getIdToken();
            return p00lsApi.sendApiRequest(token, 'airdrop/address', {
                method: 'GET',
            });
        });
    }
    function _setInternalWallet(wallet) {
        return __awaiter(this, void 0, void 0, function* () {
            const token = yield getIdToken();
            return p00lsApi.sendApiRequest(token, 'airdrop/address', {
                method: 'POST',
                body: JSON.stringify(wallet),
            });
        });
    }
    function changeWallet() {
        const encoded = encodeTelegramLinkParameters({ rd: '/airdrop' });
        openTelegramLink(`${endpoints[config.env]}?startapp=${encoded}`);
    }
    return {
        fetchWallet,
        _setInternalWallet,
        changeWallet,
    };
}
//# sourceMappingURL=wallet.js.map